package types

var (
	Float64 = &Type{Name: "Float64", Size: 8}
	Float32 = &Type{Name: "Float32", Size: 4}
	Int64   = &Type{Name: "Int64", Size: 8}
	Int32   = &Type{Name: "Int32", Size: 4}
	Int16   = &Type{Name: "Int16", Size: 2}
	Int8    = &Type{Name: "Int8", Size: 1}
	Pointer = &Type{Name: "Pointer", Size: 8}
)

var (
	Float = Float64
	Int   = Int64
)
